Subject: bug#63967: 28.2; switch-to-buffer in normal window fails if minibuffer window is active

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 Jun 2023 15:15:14 +0300

> Date: Tue, 13 Jun 2023 21:36:37 +0000
> Cc: [email-masked], [email-masked], [email-masked],
>   [email-masked], [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> So I see the fix somewhat along the lines of removing the offending
> Fset_frame_selected_window from minibuffer_unwind, and maybe rearranging
> the calls to record_unwind_protect* in read_minibuf to arrange for the
> window configuration call to do the job of restoring the "current"
> window.
> 
> It seems to me you might want to put the fix into Emacs 29.  Am I right?

Yes.  I wouldn't be pinging you if it weren't so.

So I hope you will present a suggested patch soon, and that it will be
simple and safe enough to install on the release branch.  TIA.